% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Fim.R, R/BayesianFim.R, R/IndividualFim.R,
%   R/PopulationFim.R
\name{EvaluateFisherMatrix}
\alias{EvaluateFisherMatrix}
\alias{EvaluateFisherMatrix,BayesianFim-method}
\alias{EvaluateFisherMatrix,IndividualFim-method}
\alias{EvaluateFisherMatrix,PopulationFim-method}
\title{Evaluate the Fisher matrix ( population, individual and Bayesian )}
\usage{
EvaluateFisherMatrix(object, model, arm, modelEvaluation, modelVariance)

\S4method{EvaluateFisherMatrix}{BayesianFim}(object, model, arm, modelEvaluation, modelVariance)

\S4method{EvaluateFisherMatrix}{IndividualFim}(object, model, arm, modelEvaluation, modelVariance)

\S4method{EvaluateFisherMatrix}{PopulationFim}(object, model, arm, modelEvaluation, modelVariance)
}
\arguments{
\item{object}{An object from the class \linkS4class{Fim}.}

\item{model}{An object from the class \linkS4class{Model}.}

\item{arm}{An object from the class \linkS4class{Arm}.}

\item{modelEvaluation}{A list containing the evaluation results.}

\item{modelVariance}{A list containing the model variance.}
}
\value{
An object from the class \linkS4class{Fim} containing the Fisher matrix.
}
\description{
Evaluate the Fisher matrix ( population, individual and Bayesian )
}
